#include <SPI.h>
#include <Adafruit_GFX.h>
#include <Max72xxPanel.h>

int pinCS = 10; // Attach CS to this pin, DIN to MOSI and CLK to SCK (cf http://arduino.cc/en/Reference/SPI )
int numberOfHorizontalDisplays = 1;
int numberOfVerticalDisplays = 1;

Max72xxPanel matrix = Max72xxPanel(pinCS, numberOfHorizontalDisplays, numberOfVerticalDisplays);

//String tape = "DJO/Bitlair";
int wait = 2000; // In milliseconds

//int spacer = 1;
//int width = 5 + spacer; // The font width is 5 pixels

void setup() {

  matrix.setIntensity(7); // Use a value between 0 and 15 for brightness

// Adjust to your own needs
//  matrix.setPosition(0, 0, 0); // The first display is at <0, 0>
//  matrix.setPosition(1, 1, 0); // The second display is at <1, 0>
//  matrix.setPosition(2, 2, 0); // The third display is at <2, 0>
//  matrix.setPosition(3, 3, 0); // And the last display is at <3, 0>
//  ...
  matrix.setRotation(0, 1);    // The first display is position upside down
//  matrix.setRotation(1, 1);    // The first display is position upside down
//  matrix.setRotation(3, 2);    // The same hold for the last display
}

const unsigned char myBitmap [] PROGMEM = {
    0b11111111,
    0b11000001,
    0b10111101,
    0b10110101,
    0b10100101,
    0b10111101,
    0b10000001,
    0b11111111
};

void loop() {

//  for ( int i = 0 ; i < width * tape.length() + matrix.width() - 1 - spacer; i++ ) {

//    matrix.fillScreen(LOW);

//    int letter = i / width;
//    int x = (matrix.width() - 1) - i % width;
//    int y = (matrix.height() - 8) / 2; // center the text vertically
/*
    while ( x + width - spacer >= 0 && letter >= 0 ) {
      if ( letter < tape.length() ) {
        matrix.drawChar(x, y, tape[letter], HIGH, LOW, 1);
      }
      letter--;
      x -= width;
    }
    delay(2000);
*/
//    matrix.fillScreen(LOW);
//    matrix.drawChar(8, 0, '?', HIGH, LOW, 1);
//    matrix.write(); // Send bitmap to display

    matrix.fillScreen(LOW);
    matrix.drawChar(1, 0, '?', HIGH, LOW, 1);
    matrix.write(); // Send bitmap to display
    delay(wait);

    matrix.fillScreen(LOW);
    matrix.drawCircle(4,4,2,1);
    matrix.write(); // Send bitmap to display
    delay(wait);

    matrix.fillScreen(LOW);
    matrix.drawTriangle(1, 1, 1, 7, 7, 7, 1);
    matrix.write(); // Send bitmap to display
    delay(wait);

    matrix.fillScreen(LOW);
    matrix.drawRoundRect(0, 0, 8, 8, 2, 1);
    matrix.write(); // Send bitmap to display
    delay(wait);

    matrix.fillScreen(LOW);
    matrix.drawBitmap(0, 0, myBitmap, 8, 8, 1);
    matrix.write(); // Send bitmap to display
    delay(wait);
//  }
}

